## EDU.oswego.cs.dl.util.concurrent
Class ClockDaemon.RunLoop

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ClockDaemon.RunLoop

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ClockDaemon

    protected class ClockDaemon.RunLoop

extends java.lang.Object
implements java.lang.Runnable

The runloop is isolated in its own Runnable class just so that the main class need not implement Runnable, which would allow others to directly invoke run, which is not supported.

Constructor Summary
`protected` `ClockDaemon.RunLoop()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClockDaemon.RunLoop

    protected ClockDaemon.RunLoop()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`